Subject: Re: [PATCH RFC] pkt_sched: Remove smp_wmb() in qdisc_watchdog()

From: Stephen Hemminger <[email-masked]>
Date: Fri, 19 Dec 2008 18:18:51 -0800

On Fri, 19 Dec 2008 11:41:25 +0000
Jarek Poplawski <[email-masked]> wrote:

> On Fri, Dec 19, 2008 at 11:30:47AM +0000, Jarek Poplawski wrote:
> ...
> > While implementing a TCQ_F_THROTTLED flag there was used an smp_wmb()
> > in qdisc_watchdog(), but since this flag is practically used only in
> > sch_netem(), and since it's not even clear what reordering is avoided
> 
> Hmm.. I forgot to mention sch_cbq(), but it doesn't use a barrier
> anyway.
> 
> Jarek P.

The barrier was copied from earlier version of tbf is unnecessary.